Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class intersection

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.difference
              jason.stdlib.intersection

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class intersection

extends difference

Internal action: `.intersection(S1,S2,S3)`.

Description: S3 is the intersection of the sets S1 and S2 (represented by lists). The result set is sorted.

Parameters:

- + arg[0] (a list).
- + arg[1] (a list).
- +/- arg[2]: the result of the intersection.

Examples:

- `.intersection("[a,b,c]","[b,e]",X)`: `X` unifies with "[b]".
- `.intersection("[a,b,a,c]","[f,e,a,c]",X)`: `X` unifies with "[a,c]".

See Also:
  `concat`, `delete`, `length`, `member`, `sort`, `substring`, `nth`, `max`, `min`, `reverse`, `difference`, `union`, Serialized Form

Constructor Summary
`intersection()`

Method Summary
`static InternalAction` | `create()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.stdlib.difference
`checkArguments, getMaxArgs, getMinArgs`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### intersection

    public intersection()

Method Detail

### create

    public static InternalAction create()

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `difference`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD